<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>NodeOptions.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">protean-tests</a> &gt; <a href="index.source.html" class="el_package">io.gitlab.littlesaints.protean.configuration</a> &gt; <span class="el_source">NodeOptions.java</span></div><h1>NodeOptions.java</h1><pre class="source lang-java linenums">/*
 *                     protean-core
 *              Copyright (C) 2018 Varun Anand
 *
 * This file is part of protean-core.
 *
 * protean-core is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * at your option) any later version.
 *
 * protean-core is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see &lt;http://www.gnu.org/licenses/&gt;.
 */

package io.gitlab.littlesaints.protean.configuration;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.gitlab.littlesaints.protean.Node;
import com.littlesaints.protean.functions.trial.Strategy;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.List;

/**
 * Options that define a {@link Node}.
 *
 * @author Varun Anand
 * @since 1.0
 */
@Getter
<span class="fc" id="L39">@Setter</span>
<span class="nc" id="L40">@ToString</span>
<span class="fc" id="L41">public class NodeOptions {</span>

<span class="fc" id="L43">	private String name;</span>

<span class="fc" id="L45">	private boolean skippable = true;</span>

<span class="fc" id="L47">	private int concurrency = 1;</span>

<span class="fc" id="L49">	private int buffer = Defaults.BUFFER;</span>

<span class="fc" id="L51">	private List&lt;ProcessorOptions&gt; processors;</span>

	@JsonProperty(&quot;exception-handler&quot;)
<span class="fc" id="L54">	private GenericOptions exceptionHandler;</span>

<span class="fc" id="L56">	private GenericOptions filter;</span>

	@JsonProperty(&quot;route-resolver&quot;)
<span class="fc" id="L59">	private String routeResolver;</span>

<span class="fc" id="L61">	@JsonProperty(&quot;retry-strategy&quot;)</span>
<span class="fc" id="L62">	private Strategy retryStrategy = Strategy.DEFAULT.get();</span>

}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.4.201905082037</span></div></body></html>